#include "stdafx.h"
#include <math.h>

double platina (double teplota, int pocet){

	const int T0=300;
	const double R0=100;
	double A = 3.9692e-3;
	double B = -5.829e-7;
	double C = -4.3303e-12;

	teplota = teplota - 273.15;

	if (pocet==1) { B=0;
					C=0;
				}

	if (pocet==2) { 	C=0;
				}
	
	double odpor;
	if (teplota<273.25)
	odpor = R0*(1+A*teplota+B*pow(teplota,2)+C*pow(teplota,3)*(teplota-100));
	else 
	odpor = R0*(1+A*teplota+B*pow(teplota,2));
	
	//vyska=int(500-(odpor*100000000000));
	
	return odpor;

}